if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'id')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'id'
           ,1
           ,1
           ,1
           ,'int'
           ,NULL
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'uid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'uid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,500)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'eid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'eid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,50)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'id_usuario_modifico')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'id_usuario_modifico'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cat_atributo_opcionAtributo' and columna = 'id_usuario_creo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cat_atributo_opcionAtributo'
           ,'id_usuario_creo'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'fechaModificacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'fechaModificacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'fechaCreacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'fechaCreacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'active')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'active'
           ,1
           ,1
           ,1
           ,'bit'
           ,'((1))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'contratoEquipo_catalogo.tempario')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'contratoEquipo_catalogo.tempario'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,200)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'id_contratoEquipo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'id_contratoEquipo'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'id_catalogo.tempario')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'id_catalogo.tempario'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'cnt_contratoEquipo_catalogo.tempario' and columna = 'id_tercero_proveedor')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('cnt_contratoEquipo_catalogo.tempario'
           ,'id_tercero_proveedor'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end
